#include<iostream>
using namespace std;
long long i=0, n, m, L, s, br=0;
int main()
{
    cin>>L>>m>>n;
    do
    {
        s+=(m+n*i);
        i++;
        br++;

    }while(s<=L);
    cout<<br;
    return 0;
}